:root {
    --calendar-bg: #fff; /*sfondo Wrapper calendario*/
    --header-month-bg: transparent; /*sfondo mesi #333*/
    --header-month-txt: #222; /*testo mesi #fff*/
    --header-week-bg: transparent; /*sfondo giorni della settimana #ccc*/
    --header-week-txt: #717171; /*testo giorni della settimana*/
    --days-border: transparent; /*bordo giorni calendario #ccc*/
    --element-hover: transparent; /* #eee */
    --disabled-element-hover: transparent; /*#e5e5e5*/
    --free-day: transparent; /*giorni liberi #fff*/
    --not-selectable-day: transparent; /*giorni non selezionabili #d5d5d5*/
    --selected-day: #f7f7f7; /*giorni selezionati #d9534f*/
    --selected-day-first-last: #222; /*giorni selezionati #d9534f*/
    --busy-day: transparent; /*giorni occupati #d9534f*/
    --days-contrast-bg: transparent; /*#fff*/
}


.ml-row, .ml-row * {
    box-sizing: border-box;
}

.ml-row {
    margin-left: -15px;
    margin-right: -15px;
}

.ml-row::before, .ml-row::after {
    content: " ";
    display: table;
    clear: both;
}

.ml-btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14.5px;
    font-weight: 600;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    color: #222;
    background-color: #fff;
    text-decoration: none;
}

.ml-btn:hover,
.ml-btn:focus,
.ml-btn:active,
.ml-btn.active {
    text-decoration: none;
    color: #222;
    background-color: #e6e6e6;
    border: 1px solid #222 !important;
}

.ml-btn.disabled,
.ml-btn[disabled],
fieldset[disabled=disabled] .ml-btn {
    pointer-events: none;
    cursor: not-allowed;
    filter: alpha(opacity=65);
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: 0.3;
}

.ml-btn.cal-day-block-booking:disabled:not([disabled="disabled"]) {
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: 0.6;
    pointer-events: all;
    cursor: pointer!important;
}

.ml-btn.cal-day-block-booking[disabled="disabled"],
.ml-btn.cal-day-block-booking.disabled {
    text-decoration: line-through;
}


.ml-form-control {
    display: block;
    width: 100%;
    height: 34px;
    /*padding: 6px 12px;*/
    padding: 6px;
    font-size: 14.5px;
    line-height: 1.42857143;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    margin: 5px;
}

.ml-text-left {
    text-align: left;
}

.ml-text-center {
    text-align: center;
}

.ml-text-right {
    text-align: right;
}

.ml-col-1, .ml-col-2, .ml-col-3, .ml-col-4, .ml-col-5, .ml-col-6, .ml-col-7, .ml-col-8, .ml-col-9, .ml-col-10, .ml-col-11, .ml-col-12 {
    min-height: 1px;
    float: left;
    padding-left: 15px;
    padding-right: 15px;
    box-sizing: border-box;
}

.ml-col-12 {
    width: 100%;
}

.ml-col-11 {
    width: 91.66666667%;
}

.ml-col-10 {
    width: 83.33333333%;
}

.ml-col-9 {
    width: 75%;
}

.ml-col-8 {
    width: 66.66666667%;
}

.ml-col-7 {
    width: 58.33333333%;
}

.ml-col-6 {
    width: 50%;
}

.ml-col-5 {
    width: 41.66666667%;
}

.ml-col-4 {
    width: 33.33333333%;
}

.ml-col-3 {
    width: 25%;
}

.ml-col-2 {
    width: 16.66666667%;
}

.ml-col-1 {
    width: 8.33333333%;
}

@media (max-width: 767px) {
    .ml-col-1, .ml-col-2, .ml-col-3, .ml-col-4, .ml-col-5, .ml-col-6, .ml-col-7, .ml-col-8, .ml-col-9, .ml-col-10, .ml-col-11, .ml-col-12 {
        width: 100%;
    }

    .ml-col-xs-12 {
        width: 100%;
    }

    .ml-col-xs-11 {
        width: 91.66666667%;
    }

    .ml-col-xs-10 {
        width: 83.33333333%;
    }

    .ml-col-xs-9 {
        width: 75%;
    }

    .ml-col-xs-8 {
        width: 66.66666667%;
    }

    .ml-col-xs-7 {
        width: 58.33333333%;
    }

    .ml-col-xs-6 {
        width: 50%;
    }

    .ml-col-xs-5 {
        width: 41.66666667%;
    }

    .ml-col-xs-4 {
        width: 33.33333333%;
    }

    .ml-col-xs-3 {
        width: 25%;
    }

    .ml-col-xs-2 {
        width: 16.66666667%;
    }

    .ml-col-xs-1 {
        width: 8.33333333%;
    }

    .ml-text-left-xs {
        text-align: left;
    }

    .ml-text-center-xs {
        text-align: center;
    }

    .ml-text-right-xs {
        text-align: right;
    }
}

.ml-bottom-row {
    margin-top: 5px;
}

    .ml-bottom-row > div {
        line-height: 34px;
        margin-top: 5px;
    }

        .ml-bottom-row > div > div {
            margin-top: 5px;
        }

    .ml-bottom-row span.ml-bottom-label {
        display: inline-block;
        text-align: right;
        margin-right: 5px;
        width: auto;
    }

    .ml-bottom-row span.ml-age-label {
        display: none;
    }

.ml-calendarWrapper {
    /*float: left;*/
    background: #fff;
    padding: 30px;
    border-radius: 30px;
    width: 100%;
    position: relative;
    /*height: 100%;*/
}

    .ml-calendarWrapper * {
        box-sizing: border-box;
    }

.ml-calendar {
    margin-top: 10px;
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    box-sizing: border-box;
}

    .ml-calendar thead tr.month-title {
        background-color: var(--header-month-bg);
        color: var(--header-month-txt);
        text-align: center;
    }

    .ml-calendar thead tr.month-title .month-name {
        padding: 15px 0;
        font-weight: 600;
        text-transform: lowercase;
        font-size: 1.1em;
    }

    .ml-calendar thead tr.month-title .month-name:first-letter {
        text-transform: capitalize;
    }

    .ml-calendar thead tr.day-week {
        background-color: var(--header-week-bg);
        color: var(--header-week-txt);
        font-size: 0.8em;
        font-weight: bold;
        text-align: center;
    }

    .ml-calendar thead tr.day-week .day-name {
        text-transform: lowercase;
        padding-bottom: 13px;
    }

    .ml-calendar thead tr.day-week .day-name:first-letter {
        text-transform: capitalize;
    }

    .ml-calendar th, .ml-calendar td {
        padding: 0;
        text-align: center;
        text-align: -webkit-center;
        /*border:1px solid;*/
    }

    .ml-calendar a {
        cursor: pointer;
    }

    .ml-calendar .cal-day {
        display: block;
        padding: 2px 0;
        width: 100%;
        height: 42px;
        width: 42px;
        border: 1px solid var(--days-border);
        background-color: var(--free-day);
        border-radius: 100%;
    }

.ml-calendarLoader {
    position: absolute;
    width: 100%;
    left: 0;
    top: 50px;
    bottom: 0;
    right: 0;
    background: rgba(0,0,0,0.2);
    display: none;
}

.loader {
    top: 50%;
    left: 50%;
    margin-top: -30px;
    margin-left: -30px;
    font-size: 10px;
    position: absolute;
    text-indent: -9999em;
    border-top: 5px solid rgba(0, 0, 0, 0.2);
    border-right: 5px solid rgba(0, 0, 0, 0.2);
    border-bottom: 5px solid rgba(0, 0, 0, 0.2);
    border-left: 5px solid #eee;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation: load8 1.1s infinite linear;
    animation: load8 1.1s infinite linear;
    overflow: hidden;
}

    .loader,
    .loader:after {
        border-radius: 50%;
        width: 60px;
        height: 60px;
    }

@-webkit-keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.ml-calendar-month, .ml-calendar-year, .ml-calendar-pax, .ml-calendar-children, .ml-calendar-durata, .ml-calendar-trattamento {
    width: auto;
    display: inline;
}

.ml-calendar-childrenAge {
    display: inline !important;
    width: 55px !important;
}

.ml-calendar-durata option[disabled] {
    display: none;
}

/*.ml-calendar-month, .ml-calendar-year {
    margin: 0px 10px 10px 10px;
}*/

.ml-calendar .cal-day:not(.cal-day-block-booking):hover {
    background-color: var(--element-hover);
}

.ml-calendar button.cal-day[disabled], .ml-calendar button.cal-day[disabled]:hover, .legend-item[disabled], .legend-item[disabled]:hover {
    cursor: not-allowed;
    background-color: var(--disabled-element-hover);
}

.ml-calendar tbody tr td button.cal-day-block-booking:not(.cal-day-block-booking-first):not(.cal-day-block-booking-last), .legend-item.cal-day-block-booking, .legend-item.cal-day-block-booking:hover {
    background: var(--busy-day);
    /*opacity: 0.65;*/
}

.ml-calendar tbody tr td button.cal-day-block-booking-first {
    opacity: 1;
}

.ml-calendar tbody tr td button.cal-day-block-booking-first:disabled {
    opacity: .3;
}

.ml-calendar tbody tr td button.cal-day-block-booking-last {
    opacity: 1;
}

.ml-calendar tbody tr td button.cal-day-block-booking-last:disabled {
    opacity: .3;
}

.ml-calendar button.cal-day[disabled].cal-day-block-booking-first:not(.cal-day-selected-last), .ml-calendar button.cal-day[disabled].cal-day-block-booking-first:hover:not(.cal-day-selected-last) {
    cursor: default;
    background-color: var(--disabled-element-hover);
}

.ml-calendar button.cal-day[disabled].cal-day-block-booking-last, .ml-calendar button.cal-day[disabled].cal-day-block-booking-last:hover {
    cursor: default;
    background-color: var(--disabled-element-hover);
}

.ml-calendar tbody tr td:has(button.cal-day-selected),
.ml-calendar tbody tr td:has(button.cal-day-selected:not(.cal-day-block-booking):hover) {
    background: var(--selected-day);
    border-radius: 0;
}

.ml-calendar tbody tr td:has(button.cal-day-selected-first),
.ml-calendar tbody tr td:has(button.cal-day-selected-first:not(.cal-day-block-booking):hover) {
    background: linear-gradient(to right, transparent 50%,var(--selected-day) 50%)
}

.ml-calendar tbody tr td:has(button.cal-day-selected-last),
.ml-calendar tbody tr td:has(button.cal-day-selected-last:not(.cal-day-block-booking):hover) {
    background: linear-gradient(to left, transparent 50%,var(--selected-day) 50%)
}


.ml-calendar tbody tr td button.cal-day-selected:not(.cal-day-block-booking),
.ml-calendar tbody tr td button.cal-day-selected:not(.cal-day-block-booking):hover {
    position: relative;
    opacity: 1;
    text-decoration: inherit;
}

.ml-calendar tbody tr td button.cal-day-selected-first,
.ml-calendar tbody tr td button.cal-day-selected-first:not(.cal-day-block-booking):hover {
    background-color: var(--selected-day-first-last);
    position: relative;
    color: #fff;
    opacity: 1;
}

.ml-calendar tbody tr td button.cal-day-selected-last,
.ml-calendar tbody tr td button.cal-day-selected-last:not(.cal-day-block-booking):hover {
    background-color: var(--selected-day-first-last)!important;
    text-decoration: none!important;
    color: #fff;
    opacity: 1;
}

.ml-calendar tbody tr td button.cal-day-selected-first.cal-day-block-booking-last,
.ml-calendar tbody tr td button.cal-day-selected-first.cal-day-block-booking-last:not(.cal-day-block-booking):hover {
    opacity: 1;
}

.ml-calendar tbody tr td button.cal-day-selected-last.cal-day-block-booking-first,
.ml-calendar tbody tr td button.cal-day-selected-last.cal-day-block-booking-first:hover:not(.cal-day-block-booking) {
    opacity: 1;
}

.ml-calendar button.cal-day[disabled].cal-day-selected-first:not(.cal-day-selected-last), .ml-calendar button.cal-day[disabled].cal-day-selected-first:hover:not(.cal-day-selected-last) {
    cursor: default;
    background-color: var(--disabled-element-hover);
}

.ml-calendar button.cal-day[disabled].cal-day-selected-last, .ml-calendar button.cal-day[disabled].cal-day-selected-last:hover {
    cursor: default;
    background-color: var(--disabled-element-hover);
}

.ml-calendar button.cal-day.cal-day-selected-first.cal-day-block-booking-last {
    background-color: var(--selected-day-first-last);
    color: #fff;
    opacity: 1;
    text-decoration: inherit;
}

.ml-calendar button.cal-day.cal-day-selected-last.cal-day-block-booking-first {
    background-color: var(--selected-day-first-last);
    color: #fff;
    opacity: 1;
    text-decoration: inherit;
}

.ml-bottom-legend {
    margin-top: 10px;
}

.ml-btn.legend-item {
    display: inline-block;
    float: left;
    width: 30px;
    height: 20px;
    cursor: default;
}

.cal-day.legend-item:hover {
    background-color: #fff;
}

.legend-item:hover {
    border-color: #ccc !important;
}

.legend-label {
    display: inline-block;
    margin: 0 20px 0 5px;
    line-height: 20px;
    float: left;
}

.legend-title {
    display: inline-block;
    float: left;
    font-weight: bold;
    margin-right: 20px;
}

.ml-row.top-row {
    margin-left: 0;
    margin-right: 0;
}

.ml-row.top-row > div {
    padding-left: 0;
    padding-right: 0;
}

.ml-btn.nextMonth,
.ml-btn.prevMonth {
    background: transparent;
    border: none;
    border-radius: 50%;
    height: 35px;
    width: 35px;
}

.ml-btn.nextMonth svg,
.ml-btn.prevMonth svg {
    padding: 3px 0 0 0;
}

.ml-btn.nextMonth:hover,
.ml-btn.prevMonth:hover {
    background: #F7F7F7;
    border: none!important;
}

.ml-btn.cal-day.caldisabled.min-day{
    text-decoration: inherit;
}

